#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var express_1 = __importDefault(require("express"));
var path_1 = require("path");
var process_1 = require("process");
var webpack_1 = __importDefault(require("webpack"));
var webpack_dev_middleware_1 = __importDefault(require("webpack-dev-middleware"));
var webpack_log_1 = __importDefault(require("webpack-log"));
var core_1 = require("@surfboard/core");
var requireLocal = function (name) {
    var fileName = path_1.resolve(process_1.cwd(), name);
    return require(fileName);
};
var app = express_1["default"]();
var surfboard = core_1.createServer(app);
var webpackConfig = requireLocal('webpack.config');
var compiler = webpack_1["default"](webpackConfig);
var middleware = webpack_dev_middleware_1["default"](compiler);
var surfboardConfig = requireLocal('surfboard.server');
var log = webpack_log_1["default"]({ name: 'sds' });
app.use(middleware);
if (surfboardConfig.server) {
    app.use(surfboardConfig.server);
}
surfboard.listen(1337, function () {
    core_1.startDispatcher(surfboardConfig.sources);
    log.info('Running!');
});
